//
//  CreateTickerStringsPlugIn.h
//  WrestlingTools
//
//  Created by Adam Fenn on 4/11/11.
//  Copyright 2011 Adam Fenn. All rights reserved.
//

#import <Cocoa/Cocoa.h>


#import <Quartz/Quartz.h>

@interface CreateTickerStringsPlugIn : QCPlugIn
{
	
}

/*
 Declare here the Obj-C 2.0 properties to be used as input and output ports for the plug-in e.g.
 @property double inputFoo;
 @property(assign) NSString* outputBar;
 You can access their values in the appropriate plug-in methods using self.inputFoo or self.inputBar
 */

@property(assign) NSDictionary* inputResultsData;
@property(assign) NSDictionary* inputAssignmentData;
@property(assign) NSDictionary* inputTeamScoresData;
@property(assign) NSArray* inputHeadlinesData;
@property(assign) NSString* inputSeparator;
@property(assign) NSString* outputResultsString;
@property(assign) NSString* outputOnDeckString;
@property(assign) NSString* outputInHoleString;
@property(assign) NSString* outputTeamScoresString;
@property(assign) NSString* outputHeadlinesString;

@end

