//
//  VerifyConnectionPlugIn.h
//  VerifyConnection
//
//  Created by Adam Fenn on 4/8/11.
//  Copyright (c) 2011 Adam Fenn. All rights reserved.
//

#import <Quartz/Quartz.h>

@interface VerifyConnectionPlugIn : QCPlugIn
{
	
@private BOOL oldRefresh;
@private BOOL failWithError;
@private BOOL newResults;
@private NSString *response;
@private NSMutableData *responseData;
	
}

/*
Declare here the Obj-C 2.0 properties to be used as input and output ports for the plug-in e.g.
@property double inputFoo;
@property(assign) NSString* outputBar;
You can access their values in the appropriate plug-in methods using self.inputFoo or self.inputBar
*/

@property(assign) NSString* inputServerName;
@property(assign) BOOL inputLocalServer;
@property(assign) BOOL inputRefresh;
@property(assign) NSString* inputMatName;
@property(assign) NSString* inputTournamentId;

@property(assign) BOOL outputMatError;
@property(assign) BOOL outputServerError;
@property(assign) BOOL outputTournamentError;
@property(assign) NSDictionary* outputValidMatList;
@property(assign) NSString* outputEventName;
@property(assign) NSString* outputBoutKey;
@property(assign) NSString* outputTournamentType;
@property(assign) NSString* outputBaseUrl;

@property(readwrite,assign) BOOL oldRefresh;
@property(readwrite,assign) BOOL failWithError;
@property(readwrite,assign) BOOL newResults;
@property(readwrite,assign) NSString *response;
@property(readwrite,assign) NSMutableData *responseData;

@end
