//
//  AFMethods.h
//  WrestlingTools
//
//  Created by Adam Fenn on 4/6/11.
//  Copyright 2011 Adam Fenn. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface AFMethods : NSObject {

}
+ (NSString*) fixBlankScore: (NSString*) score;
+ (NSString*) clockStringFromClockTimeInSeconds: (NSString*) clockTime clockRunning: (NSString*) clockRunning elapsedTimeInSeconds: (NSString*) elapsedTime;
+ (NSArray*) cullXML: (NSString*) xml forTag: (NSString*) tag;
+ (NSArray*) cullRealXML: (NSString*) xml forTag: (NSString*) tag;
+ (NSArray*) tournamentTypeFromId: (NSString*) tournamentId;
+ (NSString*) baseURLFromServerName: (NSString*) serverName localServer: (BOOL) localServer;
+ (NSString*) stringFromURLString: (NSString*) url;

@end
