//
//  TeamScoresPlugIn.h
//  TeamScores
//
//  Created by Adam Fenn on 4/6/11.
//  Copyright (c) 2011 Adam Fenn. All rights reserved.
//

#import <Quartz/Quartz.h>

@interface TeamScoresPlugIn : QCPlugIn
{
	
@private BOOL oldRefresh;
@private BOOL newResults;
@private NSString *response;
@private NSMutableData *responseData;
	
}

/*
Declare here the Obj-C 2.0 properties to be used as input and output ports for the plug-in e.g.
@property double inputFoo;
@property(assign) NSString* outputBar;
You can access their values in the appropriate plug-in methods using self.inputFoo or self.inputBar
*/

@property(assign) NSString* inputBaseUrl;
@property(assign) BOOL inputRefresh;
@property(assign) NSString* inputTournamentId;
@property(assign) NSDictionary* outputStructure;

@property(readwrite,assign) BOOL oldRefresh;
@property(readwrite,assign) BOOL newResults;
@property(readwrite,assign) NSString *response;
@property(readwrite,assign) NSMutableData *responseData;

@end
